<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tipos de inputs</title>
</head>

<body>
    <form action="">
        <section>
            <p>Datalist</p>
            <fieldset>
                <label for="inputLista">Lista de colores</label>
                <input list="listacolores" name="inputLista" id="inputLista">
                <datalist id="listacolores">
                    <option value="Azul"></option>
                    <option value="Rojo"></option>
                    <option value="Amarillo"></option>
                    <option value="Negro"></option>
                    <option value="Blanco"></option>
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>URL input:</p>
            <fieldset>
                <label for="url">Lista URL</label>
                <input type="url" name="url" id="url" placeholder="https://example.com" pattern="https://.*" size="30"
                    list="listaurls">
                <datalist id="listaurls">
                    <option value="https://www.google.com" label="by google"></option>
                    <option value="https://www.msn.com" label="by ms"></option>
                </datalist>
            </fieldset>
        </section>

        <section>
            <p>Range</p>
            <fieldset>
                <label for="range">Rangos</label>
                <input type="range" list="listanums" step="1" name="range" id="range" min="0" max="6">
                <datalist id="listanums">
                    <option value="0">Cero</option>
                    <option value="1">Uno</option>
                    <option value="2">Dos</option>
                    <option value="3">Tres</option>
                    <option value="4">Cuatro</option>
                    <option value="5">Cinco</option>
                </datalist>
            </fieldset>
        </section>
        <section>
            <p>Números</p>
            <fieldset>
                <label for="nums">Número:</label>
                <input type="number" step="1" name="nums" id="nums">
            </fieldset>
        </section>
        <section>
            <p>Teléfonos</p>
            <fieldset>
                <label for="telf">Teléfono:</label>
                <input type="tel" name="telf" id="telf" placeholder="5500000000">
            </fieldset>
        </section>
        <section>
            <p>E-mails</p>
            <fieldset>
                <label for="correo">E-mail:</label>
                <input type="email" name="correo" id="correo" placeholder="correo@ejemplo.com">
            </fieldset>
        </section>
        <section>
            <p>Colores</p>
            <fieldset>
                <label for="color">Color:</label>
                <input type="color" name="color" id="color">
            </fieldset>
        </section>
        <section>
            <p>Búsquedas</p>
            <fieldset>
                <label for="busqueda">Buscar:</label>
                <input type="search" name="busqueda" id="busqueda" placeholder="Buscar...">
            </fieldset>
        </section>
        <section>
            <p>Fecha y hora</p>
            <fieldset>
                <label for="fechaHora">Fecha y hora:</label>
                <input type="datetime" name="fechaHora" id="fechaHora" placeholder="dd/MM/yyyy HH:mm">
            </fieldset>
            <p>Sólo fecha</p>
            <fieldset>
                <label for="fecha">Fecha:</label>
                <input type="date" name="fecha" id="fecha" placeholder="dd/MM/yyyy">
            </fieldset>
            <p>Sólo hora</p>
            <fieldset>
                <label for="hora">Hora:</label>
                <input type="time" name="hora" id="hora" placeholder="HH:mm">
            </fieldset>
            <p>Fecha y hora (local)</p>
            <fieldset>
                <label for="fhLocal">Fecha y hora local:</label>
                <input type="datetime-local" name="fhLocal" id="fhLocal" placeholder="dd/MM/yyyy HH:mm">
            </fieldset>
        </section>
        <section>
            <p>Mes</p>
            <fieldset>
                <label for="mes">mes:</label>
                <input type="month" name="mes" id="mes">
            </fieldset>
        </section>
        <section>
            <p>Semana</p>
            <fieldset>
                <label for="semana">Semana:</label>
                <input type="week" name="semana" id="semana">
            </fieldset>
        </section>
        <br>
        <input type="submit" name="btn_enviar" value="Enviar">
        <input type="reset" name="btn_limpiar" value="Limpiar">
    </form>
</body>

</html>